clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::simplify_type< ::clang::CanQual< T > > Struct Template Reference

Implement simplify_type for CanQual<T>, so that we can dyn_cast from CanQual<T> to a specific Type class. More...

`#include "clang/AST/CanonicalType.h"`

## Public Types
using | SimpleType = const T *

## Static Public Member Functions
static SimpleType | getSimplifiedValue (::clang::CanQual< T > Val)

## Detailed Description

### template<typename T>
struct llvm::simplify_type< ::clang::CanQual< T > >

Implement simplify_type for CanQual<T>, so that we can dyn_cast from CanQual<T> to a specific Type class.

We're prefer isa/dyn_cast/cast/etc. to return smart pointer (proxies?).

Definition at line 367 of file CanonicalType.h.

## Member Typedef Documentation

## ◆ SimpleType

template<typename T >

using llvm::simplify_type< ::clang::CanQual< T > >::SimpleType = const T *

Definition at line 368 of file CanonicalType.h.

## Member Function Documentation

## ◆ getSimplifiedValue()

template<typename T >

static SimpleType llvm::simplify_type< ::clang::CanQual< T > >::getSimplifiedValue | ( | ::clang::CanQual< T > | Val | ) |
| inline static

Definition at line 370 of file CanonicalType.h.

References clang::CanQual< T >::getTypePtr().

The documentation for this struct was generated from the following file:

- include/clang/AST/CanonicalType.h